---
---

# samples

Here's a set of sample apps built using Déjà Vu. If you
built an app using Déjà Vu, [let's us know](./)
so we can add it to the list.

{: .tiles-sample}
- SlackerNews (SN)

  A clone of Hacker News. Allows users to submit links and upvote and
  comment on them.

  Uses [Authentication][authentication], [Comment][comment],
  [Property][property], and [Scoring][scoring] (x2)

  {% include sample-btns.html name="sn" %}

- Accord

  Support musical bands in the selection of setlists.

  Uses [Authentication][authentication], [Authorization][authorization],
  [Comment][comment], [Group][group], [Property][property] (x5), and
  [Rating][rating]

  {% include sample-btns.html name="mapcampus" %}

- Chorestar

  Make it easy for parents to assign chores to children

  Uses [Authentication][authentication] (x2),
  [Authorization][authorization] (x2), [Group][group],
  [Property][Property] (x3), [Task][task], and [Transfer][transfer]

  {% include sample-btns.html name="mapcampus" %}

- EasyPick

  Easily search courses based on their ratings from previous semesters

  Uses [Authentication][authentication], [Authorization][authorization],
  [Comment][comment], [Property][property] (x3), and [Rating][rating] (x4)

  {% include sample-btns.html name="mapcampus" %}

- GroceryShip

  Facilitate peer grocery delivery between students

  Uses [Authentication][authentication], [Authorization][authorization],
  [Property][property] (x3), and [Rating][rating]

  {% include sample-btns.html name="mapcampus" %}

- Lingua

  Develop language skills by chatting with native speakers

  Uses [Authentication][authentication], [Authorization][authorization],
  [Chat][chat], [Group][group] (x2), [Property][property] (x3), and
  [Rating][rating]

  {% include sample-btns.html name="mapcampus" %}

- Listify

  Achieve consensus on the raking of items

  Uses [Authentication][authentication], [Group][group],
  [Property][property] (x3), [Ranking][ranking], and [Scoring][scoring]

  {% include sample-btns.html name="mapcampus" %}

- LiveScorecard

  Provide a live leaderboard for redpoint-format climbing competitions

  Uses [Authentication][authentication], [Authorization][authorization],
  [Event][event], [Group][group] (x3), [Label][label] (x2), [Passkey][passkey]
  (x2), [Property][property] (x3), [Scoring][scoring] (x2), and [Task][task]

  {% include sample-btns.html name="mapcampus" %}

- MapCampus

  Allow users to plan events on campus, with a map showing where they will be
  held. Events can be made public or private to a group of other users.

  Uses [Authentication][authentication], [Authorization][authorization],
  [Event][event], [Group][group], and [Property][property]

  {% include sample-btns.html name="mapcampus" %}

- Phoenix

  Assist people with depression in finding and meeting others

  Uses [Authentication][authentication], [Authorization][authorization],
  [Comment][comment], [Geolocation][geolocation], [Label][label],
  [Match][match], [Property][property] (x2), [Schedule][schedule]

  {% include sample-btns.html name="mapcampus" %}

- Potluck

  Help people plan parties where guests bring supplies

  Uses [Authentication][authentication], [Authorization][authorization],
  [Event][event], [Group][group], [Property][property] (x2), and
  [Transfer][transfer] 

  {% include sample-btns.html name="mapcampus" %}

- Rendezvous

  Plan public events on campus

  Uses [Authentication][authentication], [Authorization][authorization],
  [Comment][comment], [Event][event], [Geolocation][geolocation],
  [Group][group], [Label][label], and [Property][property] (x2)

  {% include sample-btns.html name="mapcampus" %}

- SweetSpots

  Mark spots on a map and review spots added by others

  Uses [Authentication][authentication], [Authorization][authorization],
  [Comment][comment], [Follow][follow], [Geolocation][geolocation],
  [Property][property], [Rating][rating], and [Scoring][scoring] (x2)


  {% include sample-btns.html name="mapcampus" %}


[authentication]: https://github.com/spderosso/deja-vu/tree/master/packages/catalog/authentication
[authorization]:  https://github.com/spderosso/deja-vu/tree/master/packages/catalog/authorization
[chat]:  https://github.com/spderosso/deja-vu/tree/master/packages/catalog/chat
[comment]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/comment
[event]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/event
[follow]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/follow
[geolocation]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/geolocation
[group]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/group
[label]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/label
[match]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/match
[passkey]:          https://github.com/spderosso/deja-vu/tree/master/packages/catalog/passkey
[property]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/property
[ranking]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/ranking
[rating]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/rating
[schedule]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/schedule
[scoring]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/scoring
[task]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/task
[transfer]:       https://github.com/spderosso/deja-vu/tree/master/packages/catalog/transfer

